summaryrefslogtreecommitdiffstats
path: root/src/test/test_rw.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-21 11:54:28 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-21 11:54:28 +0000
commite6918187568dbd01842d8d1d2c808ce16a894239 (patch)
tree64f88b554b444a49f656b6c656111a145cbbaa28 /src/test/test_rw.sh
parentInitial commit. (diff)
downloadceph-b26c4052f3542036551aa9dec9caa4226e456195.tar.xz
ceph-b26c4052f3542036551aa9dec9caa4226e456195.zip
Adding upstream version 18.2.2.upstream/18.2.2
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/test/test_rw.sh')
-rwxr-xr-xsrc/test/test_rw.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/src/test/test_rw.sh b/src/test/test_rw.sh
new file mode 100755
index 000000000..cb7dc7767
--- /dev/null
+++ b/src/test/test_rw.sh
@@ -0,0 +1,53 @@
+#!/usr/bin/env bash
+set -x
+
+#
+# Generic read/write from object store test
+#
+
+# Includes
+source "`dirname $0`/test_common.sh"
+
+TEST_POOL=rbd
+
+# Functions
+my_write_objects() {
+ write_objects $1 $2 10 1000000 $TEST_POOL
+}
+
+setup() {
+ export CEPH_NUM_OSD=$1
+
+ # Start ceph
+ ./stop.sh
+
+ ./vstart.sh -d -n || die "vstart.sh failed"
+}
+
+read_write_1_impl() {
+ write_objects 1 2 100 8192 $TEST_POOL
+ read_objects 2 100 8192
+
+ write_objects 3 3 10 81920 $TEST_POOL
+ read_objects 3 10 81920
+
+ write_objects 4 4 100 4 $TEST_POOL
+ read_objects 4 100 4
+
+ write_objects 1 2 100 8192 $TEST_POOL
+ read_objects 2 100 8192
+
+ # success
+ return 0
+}
+
+read_write_1() {
+ setup 3
+ read_write_1_impl
+}
+
+run() {
+ read_write_1 || die "test failed"
+}
+
+$@